<?php
require_once CALENDARISTA_TWILIO;
use Twilio\Rest\Client;
class Calendarista_TwilioHelper{
    public function __construct() { 
		
	}
	public function sendMessage($message, $to){
		$setting = Calendarista_GeneralSettingHelper::get();
		try {
            $client = new Client($setting->twilioAccountSID, $setting->twilioAuthToken);
			$to = preg_replace('/^00?/', '+', $to);
			$from = preg_replace('/^00?/', '+', $setting->twilioFromNumber);
            $response = $client->messages->create(
                $to,
                array(
                    "from" =>$from
                    , "body" =>$message
                )
            );
        } catch (Exception $e) {
            Calendarista_ErrorLogHelper::insert($e->getMessage());
        }
	}
}
?>